Problems installing CUDA 10.1 on my computer

Hello everyone,

I recently installed cuda 10.1 and have been receiving error messages about unmet dependencies:

sudo apt-get -f install
Reading package lists… Done
Building dependency tree
Reading state information… Done
Correcting dependencies… Done
The following packages were automatically installed and are no longer required:
bridge-utils libllvm5.0 linux-headers-4.13.0-36
linux-headers-4.13.0-36-generic linux-headers-4.15.0-50
linux-headers-4.15.0-50-generic linux-image-4.13.0-36-generic
linux-image-4.15.0-50-generic linux-image-extra-4.13.0-36-generic
linux-modules-4.15.0-50-generic linux-modules-extra-4.15.0-50-generic
snapd-login-service ubuntu-fan
Use ‘sudo apt autoremove’ to remove them.
The following additional packages will be installed:
libcublas-dev
The following NEW packages will be installed:
libcublas-dev
0 upgraded, 1 newly installed, 0 to remove and 73 not upgraded.
8 not fully installed or removed.
Need to get 0 B/39.1 MB of archives.
After this operation, 112 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
Get:1 file:/var/cuda-repo-10-1-local-10.1.168-418.67 libcublas-dev 10.2.0.168-1 [39.1 MB]
(Reading database … 348546 files and directories currently installed.)
Preparing to unpack …/libcublas-dev_10.2.0.168-1_amd64.deb …
Unpacking libcublas-dev (10.2.0.168-1) …
dpkg: error processing archive /var/cuda-repo-10-1-local-10.1.168-418.67/./libcublas-dev_10.2.0.168-1_amd64.deb (–unpack):
trying to overwrite ‘/usr/lib/x86_64-linux-gnu/libcublas_static.a’, which is also in package nvidia-cuda-dev 7.5.18-0ubuntu1
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Errors were encountered while processing:
/var/cuda-repo-10-1-local-10.1.168-418.67/./libcublas-dev_10.2.0.168-1_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

I’m new to using cuda and am not really sure what might be causing the problem but I think I might have two versions of cuda installed and that could be causing the problem. After looking at some other people’s posts in the past it seems like this can cause problems but i’m not really sure how to uninstall the different cuda versions are re-install version 10.1.

When I run nvidia-smi i get the following:

nvidia-smi
Wed Jun 26 16:47:59 2019
±----------------------------------------------------------------------------+
| NVIDIA-SMI 418.67 Driver Version: 418.67 CUDA Version: 10.1 |
|-------------------------------±---------------------±---------------------+
| GPU Name Persistence-M| Bus-Id Disp.A | Volatile Uncorr. ECC |
| Fan Temp Perf Pwr:Usage/Cap| Memory-Usage | GPU-Util Compute M. |
|===============================+======================+======================|
| 0 Quadro P6000 Off | 00000000:17:00.0 Off | Off |
| 26% 25C P8 9W / 250W | 2MiB / 24449MiB | 0% Default |
±------------------------------±---------------------±---------------------+
| 1 Quadro P6000 Off | 00000000:65:00.0 On | Off |
| 26% 42C P0 61W / 250W | 2246MiB / 24448MiB | 1% Default |
±------------------------------±---------------------±---------------------+

±----------------------------------------------------------------------------+
| Processes: GPU Memory |
| GPU PID Type Process name Usage |
|=============================================================================|
| 1 1791 G /usr/lib/xorg/Xorg 1286MiB |
| 1 3248 G compiz 278MiB |
| 1 4359 G …uest-channel-token=17922311733754142485 678MiB |
±----------------------------------------------------------------------------+

Yet when I run nvcc --version I get the following:

nvcc --version
nvcc: NVIDIA ® Cuda compiler driver
Copyright © 2005-2015 NVIDIA Corporation
Built on Tue_Aug_11_14:27:32_CDT_2015
Cuda compilation tools, release 7.5, V7.5.17

Thank you for taking the time to read this message and for all your help!

Very old and new cuda version have some file conflicts, you’ll first have to get rid of the old cuda install.
Which distribution are you running? How did you install the driver?
Please run nvidia-bug-report.sh as root and attach the resulting .gz file to your post. Hovering the mouse over an existing post of yours will reveal a paperclip icon.
https://devtalk.nvidia.com/default/topic/1043347/announcements/attaching-files-to-forum-topics-posts/

I am running ubuntu 16.04 and downloaded cuda 10.1 from this website and with these options chosen: https://developer.nvidia.com/cuda-10.0-download-archive?target_os=Linux&target_arch=x86_64&target_distro=Ubuntu&target_version=1604&target_type=deblocal

I attached the nvidia bug report to this post. I’m not really sure how to uninstall the old cuda version. I tried using something like

sudo apt-get purge cuda-7.5

but it didn’t seem to work.

Thanks for the reply!
nvidia-bug-report.log.gz (1.2 MB)

Please post the output of

sudo apt-get --purge --dry-run remove "*cublas*" "cuda*"

and

sudo apt-get --purge --dry-run remove "*nvidia*"

Here is the output of the first command:

tdh2124@hemresysld1:~/Desktop$ sudo apt-get --purge --dry-run remove “cublas” “cuda”
Reading package lists… Done
Building dependency tree
Reading state information… Done
Note, selecting ‘cuda-cublas-dev-10-0’ for glob ‘cublas
Note, selecting ‘libcublas-dev’ for glob ‘cublas
Note, selecting ‘cuda-cublas-cross-qnx-10-0’ for glob ‘cublas
Note, selecting ‘cuda-cublas-cross-ppc64el-8-0’ for glob ‘cublas
Note, selecting ‘libcublas10’ for glob ‘cublas
Note, selecting ‘cuda-cublas-cross-aarch64-8-0’ for glob ‘cublas
Note, selecting ‘cuda-cublas-dev-8-0’ for glob ‘cublas
Note, selecting ‘cuda-cublas-8-0’ for glob ‘cublas
Note, selecting ‘cuda-cublas-dev-9-0’ for glob ‘cublas
Note, selecting ‘cuda-cublas-dev-9-1’ for glob ‘cublas
Note, selecting ‘cuda-cublas-dev-9-2’ for glob ‘cublas
Note, selecting ‘cuda-cublas-9-0’ for glob ‘cublas
Note, selecting ‘cuda-cublas-9-1’ for glob ‘cublas
Note, selecting ‘cuda-cublas-9-2’ for glob ‘cublas
Note, selecting ‘cuda-cublas-10-0’ for glob ‘cublas
Note, selecting ‘cuda-cublas-cross-armhf-8-0’ for glob ‘cublas
Note, selecting ‘libcublas7.5’ for glob ‘cublas
Package ‘cuda-cublas-cross-aarch64-8-0’ is not installed, so not removed
Package ‘cuda-cublas-cross-armhf-8-0’ is not installed, so not removed
Package ‘cuda-cublas-cross-ppc64el-8-0’ is not installed, so not removed
Package ‘cuda-cublas-cross-qnx-10-0’ is not installed, so not removed
Package ‘libcublas-dev’ is not installed, so not removed
Package ‘cuda-cublas-10-0’ is not installed, so not removed
Package ‘cuda-cublas-8-0’ is not installed, so not removed
Package ‘cuda-cublas-9-0’ is not installed, so not removed
Package ‘cuda-cublas-9-1’ is not installed, so not removed
Package ‘cuda-cublas-9-2’ is not installed, so not removed
Package ‘cuda-cublas-dev-10-0’ is not installed, so not removed
Package ‘cuda-cublas-dev-8-0’ is not installed, so not removed
Package ‘cuda-cublas-dev-9-0’ is not installed, so not removed
Package ‘cuda-cublas-dev-9-1’ is not installed, so not removed
Package ‘cuda-cublas-dev-9-2’ is not installed, so not removed
You might want to run ‘apt-get -f install’ to correct these:
The following packages have unmet dependencies:
cuda-libraries-10-1 : Depends: libcublas10 (>= 10.2.0.168) but it is not going to be installed
cuda-libraries-dev-10-1 : Depends: libcublas-dev (>= 10.2.0.168) but it is not going to be installed
cuda-samples-10-1 : Depends: libcublas-dev (>= 10.2.0.168) but it is not going to be installed
cuda-visual-tools-10-1 : Depends: libcublas-dev (>= 10.2.0.168) but it is not going to be installed
libnvblas7.5 : Depends: libcublas7.5 (>= 6.5) but it is not going to be installed
nvidia-cuda-dev : Depends: libcublas7.5 (= 7.5.18-0ubuntu1) but it is not going to be installed
Recommends: libnvcuvid1 but it is not installable
E: Unmet dependencies. Try ‘apt-get -f install’ with no packages (or specify a solution).

And here is the output of the second command:

tdh2124@hemresysld1:~/Desktop$ sudo apt-get --purge --dry-run remove “nvidia
Reading package lists… Done
Building dependency tree
Reading state information… Done
Note, selecting ‘boinc-nvidia-cuda’ for glob ‘nvidia
Note, selecting ‘nvidia-390-dev’ for glob ‘nvidia
Note, selecting ‘nvidia-325-updates’ for glob ‘nvidia
Note, selecting ‘nvidia-346-updates’ for glob ‘nvidia
Note, selecting ‘nvidia-driver-binary’ for glob ‘nvidia
Note, selecting ‘nvidia-331-dev’ for glob ‘nvidia
Note, selecting ‘nvidia-304-updates-dev’ for glob ‘nvidia
Note, selecting ‘nvidia-375-diagnostic’ for glob ‘nvidia
Note, selecting ‘nvidia-384-dev’ for glob ‘nvidia
Note, selecting ‘nvidia-docker2’ for glob ‘nvidia
Note, selecting ‘nvidia-libopencl1-346-updates’ for glob ‘nvidia
Note, selecting ‘nvidia-390-diagnostic’ for glob ‘nvidia
Note, selecting ‘mate-sensors-applet-nvidia-dbg’ for glob ‘nvidia
Note, selecting ‘nvidia-340-updates-uvm’ for glob ‘nvidia
Note, selecting ‘libnvidia-container-tools’ for glob ‘nvidia
Note, selecting ‘nvidia-331-updates-uvm’ for glob ‘nvidia
Note, selecting ‘nvidia-glx’ for glob ‘nvidia
Note, selecting ‘nvidia-cg-toolkit’ for glob ‘nvidia
Note, selecting ‘nvidia-container-runtime’ for glob ‘nvidia
Note, selecting ‘nvidia-opencl-icd-340-updates’ for glob ‘nvidia
Note, selecting ‘nvidia’ for glob ‘nvidia
Note, selecting ‘nvidia-driver’ for glob ‘nvidia
Note, selecting ‘nvidia-modprobe’ for glob ‘nvidia
Note, selecting ‘bumblebee-nvidia’ for glob ‘nvidia
Note, selecting ‘nvidia-texture-tools’ for glob ‘nvidia
Note, selecting ‘nvidia-docker’ for glob ‘nvidia
Note, selecting ‘nvidia-current-diagnostic’ for glob ‘nvidia
Note, selecting ‘nvidia-legacy-340xx-vdpau-driver’ for glob ‘nvidia
Note, selecting ‘nvidia-349-updates’ for glob ‘nvidia
Note, selecting ‘nvidia-kernel-686-pae’ for glob ‘nvidia
Note, selecting ‘nvidia-opencl-icd-304-updates’ for glob ‘nvidia
Note, selecting ‘nvidia-310-updates’ for glob ‘nvidia
Note, selecting ‘nvidia-331-updates’ for glob ‘nvidia
Note, selecting ‘nvidia-352-dev’ for glob ‘nvidia
Note, selecting ‘nvidia-vdpau-driver’ for glob ‘nvidia
Note, selecting ‘nvidia-346-dev’ for glob ‘nvidia
Note, selecting ‘nvidia-libopencl1-331-updates’ for glob ‘nvidia
Note, selecting ‘nvidia-396-diagnostic’ for glob ‘nvidia
Note, selecting ‘nvidia-smi’ for glob ‘nvidia
Note, selecting ‘nvidia-opencl-icd-361-updates’ for glob ‘nvidia
Note, selecting ‘nvidia-313-updates’ for glob ‘nvidia
Note, selecting ‘nvidia-334-updates’ for glob ‘nvidia
Note, selecting ‘nvidia-331-uvm’ for glob ‘nvidia
Note, selecting ‘nvidia-prime’ for glob ‘nvidia
Note, selecting ‘nvidia-kernel-dkms’ for glob ‘nvidia
Note, selecting ‘nvidia-410-diagnostic’ for glob ‘nvidia
Note, selecting ‘nvidia-current-updates’ for glob ‘nvidia
Note, selecting ‘nvidia-340-dev’ for glob ‘nvidia
Note, selecting ‘nvidia-387-dev’ for glob ‘nvidia
Note, selecting ‘mate-sensors-applet-nvidia’ for glob ‘nvidia
Note, selecting ‘nvidia-nsight’ for glob ‘nvidia
Note, selecting ‘libnvidia-container1’ for glob ‘nvidia
Note, selecting ‘libgl1-nvidia-glx’ for glob ‘nvidia
Note, selecting ‘nvidia-common’ for glob ‘nvidia
Note, selecting ‘nvidia-opencl-icd-346-updates’ for glob ‘nvidia
Note, selecting ‘nvidia-352-updates’ for glob ‘nvidia
Note, selecting ‘nvidia-kernel-amd64’ for glob ‘nvidia
Note, selecting ‘nvidia-current-dev’ for glob ‘nvidia
Note, selecting ‘nvidia-libopencl1-352-updates’ for glob ‘nvidia
Note, selecting ‘libgl1-nvidia-alternatives’ for glob ‘nvidia
Note, selecting ‘libnvidia-container1-dbg’ for glob ‘nvidia
Note, selecting ‘nvidia-355-updates’ for glob ‘nvidia
Note, selecting ‘nvidia-375-dev’ for glob ‘nvidia
Note, selecting ‘nvidia-current’ for glob ‘nvidia
Note, selecting ‘nvidia-profiler’ for glob ‘nvidia
Note, selecting ‘nvidia-337-updates’ for glob ‘nvidia
Note, selecting ‘nvidia-367-dev’ for glob ‘nvidia
Note, selecting ‘nvidia-cuda-toolkit’ for glob ‘nvidia
Note, selecting ‘nvidia-418-dev’ for glob ‘nvidia
Note, selecting ‘nvidia-340-updates-dev’ for glob ‘nvidia
Note, selecting ‘nvidia-319-updates’ for glob ‘nvidia
Note, selecting ‘nvidia-304-dev’ for glob ‘nvidia
Note, selecting ‘nvidia-331-updates-dev’ for glob ‘nvidia
Note, selecting ‘nvidia-visual-profiler’ for glob ‘nvidia
Note, selecting ‘nvidia-persistenced’ for glob ‘nvidia
Note, selecting ‘nvidia-current-updates-dev’ for glob ‘nvidia
Note, selecting ‘nvidia-361-dev’ for glob ‘nvidia
Note, selecting ‘nvidia-settings-binary’ for glob ‘nvidia
Note, selecting ‘nvidia-361-updates-dev’ for glob ‘nvidia
Note, selecting ‘nvidia-418-diagnostic’ for glob ‘nvidia
Note, selecting ‘nvidia-libopencl1-304’ for glob ‘nvidia
Note, selecting ‘nvidia-libopencl1-331’ for glob ‘nvidia
Note, selecting ‘nvidia-libopencl1-340’ for glob ‘nvidia
Note, selecting ‘nvidia-libopencl1-346’ for glob ‘nvidia
Note, selecting ‘nvidia-libopencl1-352’ for glob ‘nvidia
Note, selecting ‘nvidia-libopencl1-361’ for glob ‘nvidia
Note, selecting ‘nvidia-libopencl1-367’ for glob ‘nvidia
Note, selecting ‘nvidia-libopencl1-375’ for glob ‘nvidia
Note, selecting ‘nvidia-libopencl1-384’ for glob ‘nvidia
Note, selecting ‘nvidia-libopencl1-387’ for glob ‘nvidia
Note, selecting ‘nvidia-libopencl1-390’ for glob ‘nvidia
Note, selecting ‘nvidia-libopencl1-396’ for glob ‘nvidia
Note, selecting ‘nvidia-kernel-486’ for glob ‘nvidia
Note, selecting ‘nvidia-352-updates-dev’ for glob ‘nvidia
Note, selecting ‘nvidia-opencl-icd-331-updates’ for glob ‘nvidia
Note, selecting ‘nvidia-opencl-icd-352-updates’ for glob ‘nvidia
Note, selecting ‘nvidia-libopencl1-410’ for glob ‘nvidia
Note, selecting ‘nvidia-libopencl1-418’ for glob ‘nvidia
Note, selecting ‘nvidia-410-dev’ for glob ‘nvidia
Note, selecting ‘nvidia-384-diagnostic’ for glob ‘nvidia
Note, selecting ‘nvidia-304-updates’ for glob ‘nvidia
Note, selecting ‘nvidia-340-uvm’ for glob ‘nvidia
Note, selecting ‘nvidia-libopencl1-304-updates’ for glob ‘nvidia
Note, selecting ‘nvidia-cuda-dev’ for glob ‘nvidia
Note, selecting ‘nvidia-cuda-doc’ for glob ‘nvidia
Note, selecting ‘nvidia-340-updates’ for glob ‘nvidia
Note, selecting ‘nvidia-361-updates’ for glob ‘nvidia
Note, selecting ‘nvidia-libopencl1-dev’ for glob ‘nvidia
Note, selecting ‘nvidia-opencl-dev’ for glob ‘nvidia
Note, selecting ‘boinc-client-nvidia-cuda’ for glob ‘nvidia
Note, selecting ‘nvidia-cg-dev’ for glob ‘nvidia
Note, selecting ‘nvidia-396-dev’ for glob ‘nvidia
Note, selecting ‘nvidia-cg-doc’ for glob ‘nvidia
Note, selecting ‘nvidia-libopencl1’ for glob ‘nvidia
Note, selecting ‘nvidia-libopencl1-340-updates’ for glob ‘nvidia
Note, selecting ‘nvidia-libopencl1-361-updates’ for glob ‘nvidia
Note, selecting ‘nvidia-opencl-icd-304’ for glob ‘nvidia
Note, selecting ‘nvidia-opencl-icd-331’ for glob ‘nvidia
Note, selecting ‘nvidia-opencl-icd-340’ for glob ‘nvidia
Note, selecting ‘nvidia-opencl-icd-346’ for glob ‘nvidia
Note, selecting ‘nvidia-opencl-icd-352’ for glob ‘nvidia
Note, selecting ‘nvidia-opencl-icd-361’ for glob ‘nvidia
Note, selecting ‘nvidia-opencl-icd-367’ for glob ‘nvidia
Note, selecting ‘nvidia-opencl-icd-375’ for glob ‘nvidia
Note, selecting ‘nvidia-cuda-gdb’ for glob ‘nvidia
Note, selecting ‘nvidia-experimental-304’ for glob ‘nvidia
Note, selecting ‘nvidia-opencl-icd-384’ for glob ‘nvidia
Note, selecting ‘nvidia-opencl-icd-387’ for glob ‘nvidia
Note, selecting ‘nvidia-experimental-310’ for glob ‘nvidia
Note, selecting ‘nvidia-experimental-313’ for glob ‘nvidia
Note, selecting ‘nvidia-opencl-icd-390’ for glob ‘nvidia
Note, selecting ‘nvidia-experimental-319’ for glob ‘nvidia
Note, selecting ‘nvidia-opencl-icd-396’ for glob ‘nvidia
Note, selecting ‘nvidia-experimental-325’ for glob ‘nvidia
Note, selecting ‘nvidia-experimental-331’ for glob ‘nvidia
Note, selecting ‘nvidia-experimental-334’ for glob ‘nvidia
Note, selecting ‘nvidia-experimental-337’ for glob ‘nvidia
Note, selecting ‘nvidia-experimental-340’ for glob ‘nvidia
Note, selecting ‘nvidia-experimental-343’ for glob ‘nvidia
Note, selecting ‘nvidia-experimental-346’ for glob ‘nvidia
Note, selecting ‘nvidia-experimental-349’ for glob ‘nvidia
Note, selecting ‘nvidia-experimental-352’ for glob ‘nvidia
Note, selecting ‘nvidia-experimental-355’ for glob ‘nvidia
Note, selecting ‘nvidia-experimental-304-dev’ for glob ‘nvidia
Note, selecting ‘nvidia-opencl-icd-410’ for glob ‘nvidia
Note, selecting ‘nvidia-opencl-icd-418’ for glob ‘nvidia
Note, selecting ‘nvidia-343-updates’ for glob ‘nvidia
Note, selecting ‘nvidia-304’ for glob ‘nvidia
Note, selecting ‘nvidia-310’ for glob ‘nvidia
Note, selecting ‘nvidia-313’ for glob ‘nvidia
Note, selecting ‘nvidia-319’ for glob ‘nvidia
Note, selecting ‘nvidia-325’ for glob ‘nvidia
Note, selecting ‘nvidia-331’ for glob ‘nvidia
Note, selecting ‘nvidia-334’ for glob ‘nvidia
Note, selecting ‘nvidia-337’ for glob ‘nvidia
Note, selecting ‘nvidia-340’ for glob ‘nvidia
Note, selecting ‘nvidia-343’ for glob ‘nvidia
Note, selecting ‘nvidia-346’ for glob ‘nvidia
Note, selecting ‘nvidia-349’ for glob ‘nvidia
Note, selecting ‘nvidia-352’ for glob ‘nvidia
Note, selecting ‘nvidia-355’ for glob ‘nvidia
Note, selecting ‘nvidia-361’ for glob ‘nvidia
Note, selecting ‘nvidia-367’ for glob ‘nvidia
Note, selecting ‘nvidia-375’ for glob ‘nvidia
Note, selecting ‘nvidia-384’ for glob ‘nvidia
Note, selecting ‘nvidia-387’ for glob ‘nvidia
Note, selecting ‘nvidia-390’ for glob ‘nvidia
Note, selecting ‘nvidia-396’ for glob ‘nvidia
Note, selecting ‘nvidia-container-runtime-hook’ for glob ‘nvidia
Note, selecting ‘nvidia-346-updates-dev’ for glob ‘nvidia
Note, selecting ‘nvidia-410’ for glob ‘nvidia
Note, selecting ‘nvidia-418’ for glob ‘nvidia
Note, selecting ‘nvidia-settings’ for glob ‘nvidia
Note, selecting ‘libnvidia-container-dev’ for glob ‘nvidia
Note, selecting ‘nvidia-opencl-icd’ for glob ‘nvidia
Package ‘libgl1-nvidia-alternatives’ is not installed, so not removed
Note, selecting ‘nvidia-settings’ instead of ‘nvidia-settings-binary’
Package ‘nvidia-libopencl1-dev’ is not installed, so not removed
Package ‘nvidia-libopencl1’ is not installed, so not removed
Package ‘nvidia-vdpau-driver’ is not installed, so not removed
Package ‘nvidia-legacy-340xx-vdpau-driver’ is not installed, so not removed
Package ‘boinc-nvidia-cuda’ is not installed, so not removed
Package ‘nvidia-driver’ is not installed, so not removed
Package ‘nvidia-glx’ is not installed, so not removed
Package ‘nvidia-kernel-dkms’ is not installed, so not removed
Package ‘nvidia-kernel-amd64’ is not installed, so not removed
Package ‘nvidia-kernel-686-pae’ is not installed, so not removed
Package ‘nvidia-kernel-486’ is not installed, so not removed
Package ‘nvidia’ is not installed, so not removed
Package ‘nvidia-310’ is not installed, so not removed
Package ‘nvidia-310-updates’ is not installed, so not removed
Package ‘nvidia-experimental-310’ is not installed, so not removed
Package ‘nvidia-313’ is not installed, so not removed
Package ‘nvidia-313-updates’ is not installed, so not removed
Package ‘nvidia-experimental-313’ is not installed, so not removed
Package ‘nvidia-319’ is not installed, so not removed
Package ‘nvidia-319-updates’ is not installed, so not removed
Package ‘nvidia-experimental-319’ is not installed, so not removed
Package ‘nvidia-325’ is not installed, so not removed
Package ‘nvidia-325-updates’ is not installed, so not removed
Package ‘nvidia-experimental-325’ is not installed, so not removed
Package ‘nvidia-experimental-331’ is not installed, so not removed
Package ‘nvidia-334’ is not installed, so not removed
Package ‘nvidia-334-updates’ is not installed, so not removed
Package ‘nvidia-experimental-334’ is not installed, so not removed
Package ‘nvidia-337’ is not installed, so not removed
Package ‘nvidia-337-updates’ is not installed, so not removed
Package ‘nvidia-experimental-337’ is not installed, so not removed
Package ‘nvidia-experimental-340’ is not installed, so not removed
Package ‘nvidia-343’ is not installed, so not removed
Package ‘nvidia-343-updates’ is not installed, so not removed
Package ‘nvidia-experimental-343’ is not installed, so not removed
Package ‘nvidia-experimental-346’ is not installed, so not removed
Package ‘nvidia-349’ is not installed, so not removed
Package ‘nvidia-349-updates’ is not installed, so not removed
Package ‘nvidia-experimental-349’ is not installed, so not removed
Package ‘nvidia-experimental-352’ is not installed, so not removed
Package ‘nvidia-355’ is not installed, so not removed
Package ‘nvidia-355-updates’ is not installed, so not removed
Package ‘nvidia-experimental-355’ is not installed, so not removed
Note, selecting ‘libnvtt-bin’ instead of ‘nvidia-texture-tools’
Package ‘libgl1-nvidia-glx’ is not installed, so not removed
Package ‘nvidia-340-updates-uvm’ is not installed, so not removed
Package ‘nvidia-346’ is not installed, so not removed
Package ‘nvidia-346-dev’ is not installed, so not removed
Package ‘nvidia-346-updates’ is not installed, so not removed
Package ‘nvidia-346-updates-dev’ is not installed, so not removed
Package ‘nvidia-current-updates’ is not installed, so not removed
Package ‘nvidia-current-updates-dev’ is not installed, so not removed
Package ‘nvidia-experimental-304’ is not installed, so not removed
Package ‘nvidia-experimental-304-dev’ is not installed, so not removed
Package ‘mate-sensors-applet-nvidia’ is not installed, so not removed
Package ‘mate-sensors-applet-nvidia-dbg’ is not installed, so not removed
Package ‘nvidia-cg-dev’ is not installed, so not removed
Package ‘nvidia-cg-doc’ is not installed, so not removed
Package ‘nvidia-cg-toolkit’ is not installed, so not removed
Package ‘nvidia-libopencl1-346’ is not installed, so not removed
Package ‘nvidia-libopencl1-346-updates’ is not installed, so not removed
Package ‘nvidia-nsight’ is not installed, so not removed
Package ‘nvidia-opencl-icd-346’ is not installed, so not removed
Package ‘nvidia-opencl-icd-346-updates’ is not installed, so not removed
Package ‘nvidia-persistenced’ is not installed, so not removed
Package ‘nvidia-304’ is not installed, so not removed
Package ‘nvidia-304-dev’ is not installed, so not removed
Package ‘nvidia-304-updates’ is not installed, so not removed
Package ‘nvidia-304-updates-dev’ is not installed, so not removed
Package ‘nvidia-331’ is not installed, so not removed
Package ‘nvidia-331-dev’ is not installed, so not removed
Package ‘nvidia-331-updates’ is not installed, so not removed
Package ‘nvidia-331-updates-dev’ is not installed, so not removed
Package ‘nvidia-331-updates-uvm’ is not installed, so not removed
Package ‘nvidia-331-uvm’ is not installed, so not removed
Package ‘nvidia-340’ is not installed, so not removed
Package ‘nvidia-340-dev’ is not installed, so not removed
Package ‘nvidia-340-updates’ is not installed, so not removed
Package ‘nvidia-340-updates-dev’ is not installed, so not removed
Package ‘nvidia-340-uvm’ is not installed, so not removed
Package ‘nvidia-361’ is not installed, so not removed
Package ‘nvidia-361-dev’ is not installed, so not removed
Package ‘nvidia-current’ is not installed, so not removed
Package ‘nvidia-current-dev’ is not installed, so not removed
Package ‘nvidia-opencl-icd-304’ is not installed, so not removed
Package ‘nvidia-opencl-icd-304-updates’ is not installed, so not removed
Package ‘nvidia-opencl-icd-340’ is not installed, so not removed
Package ‘nvidia-opencl-icd-361’ is not installed, so not removed
Package ‘boinc-client-nvidia-cuda’ is not installed, so not removed
Package ‘bumblebee-nvidia’ is not installed, so not removed
Package ‘nvidia-common’ is not installed, so not removed
Package ‘nvidia-libopencl1-304’ is not installed, so not removed
Package ‘nvidia-libopencl1-304-updates’ is not installed, so not removed
Package ‘nvidia-libopencl1-331’ is not installed, so not removed
Package ‘nvidia-libopencl1-331-updates’ is not installed, so not removed
Package ‘nvidia-libopencl1-340’ is not installed, so not removed
Package ‘nvidia-libopencl1-340-updates’ is not installed, so not removed
Package ‘nvidia-libopencl1-361’ is not installed, so not removed
Package ‘nvidia-opencl-icd-331’ is not installed, so not removed
Package ‘nvidia-opencl-icd-331-updates’ is not installed, so not removed
Package ‘nvidia-opencl-icd-340-updates’ is not installed, so not removed
Package ‘nvidia-375’ is not installed, so not removed
Package ‘nvidia-opencl-icd-375’ is not installed, so not removed
Package ‘nvidia-libopencl1-418’ is not installed, so not removed
Package ‘nvidia-375-dev’ is not installed, so not removed
Package ‘nvidia-libopencl1-375’ is not installed, so not removed
Package ‘nvidia-352-dev’ is not installed, so not removed
Package ‘nvidia-352-updates-dev’ is not installed, so not removed
Package ‘nvidia-352-updates’ is not installed, so not removed
Package ‘nvidia-352’ is not installed, so not removed
Package ‘nvidia-361-updates-dev’ is not installed, so not removed
Package ‘nvidia-361-updates’ is not installed, so not removed
Package ‘nvidia-367-dev’ is not installed, so not removed
Package ‘nvidia-367’ is not installed, so not removed
Package ‘nvidia-375-diagnostic’ is not installed, so not removed
Package ‘nvidia-384-dev’ is not installed, so not removed
Package ‘nvidia-384-diagnostic’ is not installed, so not removed
Package ‘nvidia-387-dev’ is not installed, so not removed
Package ‘nvidia-387’ is not installed, so not removed
Package ‘nvidia-390-dev’ is not installed, so not removed
Package ‘nvidia-390-diagnostic’ is not installed, so not removed
Package ‘nvidia-390’ is not installed, so not removed
Package ‘nvidia-396-dev’ is not installed, so not removed
Package ‘nvidia-396-diagnostic’ is not installed, so not removed
Package ‘nvidia-396’ is not installed, so not removed
Package ‘nvidia-410-dev’ is not installed, so not removed
Package ‘nvidia-410-diagnostic’ is not installed, so not removed
Package ‘nvidia-410’ is not installed, so not removed
Package ‘nvidia-418-diagnostic’ is not installed, so not removed
Package ‘nvidia-libopencl1-352-updates’ is not installed, so not removed
Package ‘nvidia-libopencl1-352’ is not installed, so not removed
Package ‘nvidia-libopencl1-361-updates’ is not installed, so not removed
Package ‘nvidia-libopencl1-367’ is not installed, so not removed
Package ‘nvidia-libopencl1-384’ is not installed, so not removed
Package ‘nvidia-libopencl1-387’ is not installed, so not removed
Package ‘nvidia-libopencl1-390’ is not installed, so not removed
Package ‘nvidia-libopencl1-396’ is not installed, so not removed
Package ‘nvidia-libopencl1-410’ is not installed, so not removed
Package ‘nvidia-opencl-icd-352-updates’ is not installed, so not removed
Package ‘nvidia-opencl-icd-352’ is not installed, so not removed
Package ‘nvidia-opencl-icd-361-updates’ is not installed, so not removed
Package ‘nvidia-opencl-icd-367’ is not installed, so not removed
Package ‘nvidia-opencl-icd-387’ is not installed, so not removed
Package ‘nvidia-opencl-icd-390’ is not installed, so not removed
Package ‘nvidia-opencl-icd-396’ is not installed, so not removed
Package ‘nvidia-opencl-icd-410’ is not installed, so not removed
Package ‘libnvidia-container-dev’ is not installed, so not removed
Package ‘libnvidia-container1-dbg’ is not installed, so not removed
Package ‘nvidia-docker’ is not installed, so not removed
You might want to run ‘apt-get -f install’ to correct these:
The following packages have unmet dependencies:
cuda-drivers : Depends: nvidia-418 (>= 418.67) but it is not going to be installed
Depends: nvidia-418-dev (>= 418.67) but it is not going to be installed
Depends: nvidia-opencl-icd-418 (>= 418.67) but it is not going to be installed
Depends: nvidia-modprobe (>= 418.67) but it is not going to be installed
Depends: nvidia-settings (>= 418.67) but it is not going to be installed
cuda-libraries-dev-10-1 : Depends: libcublas-dev (>= 10.2.0.168) but it is not going to be installed
cuda-samples-10-1 : Depends: libcublas-dev (>= 10.2.0.168) but it is not going to be installed
cuda-visual-tools-10-1 : Depends: libcublas-dev (>= 10.2.0.168) but it is not going to be installed
libcuda1-418 : Depends: nvidia-418 (>= 418.67) but it is not going to be installed
E: Unmet dependencies. Try ‘apt-get -f install’ with no packages (or specify a solution).

You missed an asterisk with in the first command.
I think it’s easier to uninstall all of cuda and then just reinstall cuda 10:

sudo apt-get --purge remove "*cublas*" "cuda*" "nvidia-cuda*"

Furthermore, you now have the cuda-bundled driver installed, it’s better to use the one from ppa:
Uninstall the current driver

sudo apt-get --purge remove "*nvidia*"

add the ppa:

sudo add-apt-repository ppa:graphics-drivers/ppa
sudo apt-get update

install the driver

sudo apt install nvidia-430

download/add the cuda repo .deb

sudo dpkg -i cuda-repo-ubuntu1604-10-1-local-10.1.168-418.67_1.0-1_amd64.deb
sudo apt-key add /var/cuda-repo-<version>/7fa2af80.pub
sudo apt-get update

Then don’t install cuda but cuda-toolkit:

sudo apt install cuda-toolkit-10-1
1 Like

Sorry here is the first command with the missing asterisk, I’ll follow the other instructions you gave and let you know about how it goes. Thanks so much for the reply!!!

tdh2124@hemresysld1:~/Desktop$ sudo apt-get --purge --dry-run remove “cublas” “cuda*”
[sudo] password for tdh2124:
Reading package lists… Done
Building dependency tree
Reading state information… Done
Note, selecting ‘cuda-cublas-dev-10-0’ for glob ‘cublas
Note, selecting ‘libcublas-dev’ for glob ‘cublas
Note, selecting ‘cuda-cublas-cross-qnx-10-0’ for glob ‘cublas
Note, selecting ‘cuda-cublas-cross-ppc64el-8-0’ for glob ‘cublas
Note, selecting ‘libcublas10’ for glob ‘cublas
Note, selecting ‘cuda-cublas-cross-aarch64-8-0’ for glob ‘cublas
Note, selecting ‘cuda-cublas-dev-8-0’ for glob ‘cublas
Note, selecting ‘cuda-cublas-8-0’ for glob ‘cublas
Note, selecting ‘cuda-cublas-dev-9-0’ for glob ‘cublas
Note, selecting ‘cuda-cublas-dev-9-1’ for glob ‘cublas
Note, selecting ‘cuda-cublas-dev-9-2’ for glob ‘cublas
Note, selecting ‘cuda-cublas-9-0’ for glob ‘cublas
Note, selecting ‘cuda-cublas-9-1’ for glob ‘cublas
Note, selecting ‘cuda-cublas-9-2’ for glob ‘cublas
Note, selecting ‘cuda-cublas-10-0’ for glob ‘cublas
Note, selecting ‘cuda-cublas-cross-armhf-8-0’ for glob ‘cublas
Note, selecting ‘libcublas7.5’ for glob ‘cublas
Package ‘cuda-cublas-cross-aarch64-8-0’ is not installed, so not removed
Package ‘cuda-cublas-cross-armhf-8-0’ is not installed, so not removed
Package ‘cuda-cublas-cross-ppc64el-8-0’ is not installed, so not removed
Package ‘cuda-cublas-cross-qnx-10-0’ is not installed, so not removed
Note, selecting ‘cuda-libraries-9-0’ for glob ‘cuda*’
Note, selecting ‘cuda-libraries-9-1’ for glob ‘cuda*’
Note, selecting ‘cuda-libraries-9-2’ for glob ‘cuda*’
Note, selecting ‘cuda-curand-cross-aarch64-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-cusparse-cross-qnx-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-gpu-library-advisor-9-1’ for glob ‘cuda*’
Note, selecting ‘cuda-gpu-library-advisor-9-2’ for glob ‘cuda*’
Note, selecting ‘cuda-cross-aarch64’ for glob ‘cuda*’
Note, selecting ‘cuda-command-line-tools-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-npp-cross-qnx-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-nvprune-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-nvprune-10-1’ for glob ‘cuda*’
Note, selecting ‘cuda-visual-tools-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-driver-dev-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-command-line-tools-9-0’ for glob ‘cuda*’
Note, selecting ‘cuda-command-line-tools-9-1’ for glob ‘cuda*’
Note, selecting ‘cuda-command-line-tools-9-2’ for glob ‘cuda*’
Note, selecting ‘cuda-cudart-cross-armhf-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-visual-tools-9-0’ for glob ‘cuda*’
Note, selecting ‘cuda-visual-tools-9-1’ for glob ‘cuda*’
Note, selecting ‘cuda-visual-tools-9-2’ for glob ‘cuda*’
Note, selecting ‘cuda-9-0’ for glob ‘cuda*’
Note, selecting ‘cuda-9-1’ for glob ‘cuda*’
Note, selecting ‘cuda-9-2’ for glob ‘cuda*’
Note, selecting ‘cuda-driver-dev-9-0’ for glob ‘cuda*’
Note, selecting ‘cuda-driver-dev-9-1’ for glob ‘cuda*’
Note, selecting ‘cuda-driver-dev-9-2’ for glob ‘cuda*’
Note, selecting ‘cuda-nvgraph-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-nvgraph-10-1’ for glob ‘cuda*’
Note, selecting ‘cuda-driver-cross-armhf-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-runtime-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-cublas-dev-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-runtime-9-0’ for glob ‘cuda*’
Note, selecting ‘cuda-runtime-9-1’ for glob ‘cuda*’
Note, selecting ‘cuda-runtime-9-2’ for glob ‘cuda*’
Note, selecting ‘cuda-cusolver-cross-armhf-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-gdb-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-gdb-10-1’ for glob ‘cuda*’
Note, selecting ‘cuda-nsight-compute–10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-visual-tools-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-visual-tools-10-1’ for glob ‘cuda*’
Note, selecting ‘cuda-curand-dev-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-curand-dev-10-1’ for glob ‘cuda*’
Note, selecting ‘cuda-cupti-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-cupti-10-1’ for glob ‘cuda*’
Note, selecting ‘cuda-curand-dev-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-curand-cross-ppc64el-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-curand-cross-qnx-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-libraries-dev-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-libraries-dev-10-1’ for glob ‘cuda*’
Note, selecting ‘cuda-cublas-cross-qnx-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-curand-dev-9-0’ for glob ‘cuda*’
Note, selecting ‘cuda-curand-dev-9-1’ for glob ‘cuda*’
Note, selecting ‘cuda-curand-dev-9-2’ for glob ‘cuda*’
Note, selecting ‘cuda-repo-ubuntu1204’ for glob ‘cuda*’
Note, selecting ‘cuda-nvjpeg-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-nvjpeg-10-1’ for glob ‘cuda*’
Note, selecting ‘cuda-nvrtc-dev-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-nvrtc-dev-10-1’ for glob ‘cuda*’
Note, selecting ‘cuda-nvml-cross-ppc64el-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-minimal-build-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-minimal-build-10-1’ for glob ‘cuda*’
Note, selecting ‘cuda-drivers’ for glob ‘cuda*’
Note, selecting ‘cuda-cuobjdump-9-1’ for glob ‘cuda*’
Note, selecting ‘cuda-cuobjdump-9-2’ for glob ‘cuda*’
Note, selecting ‘cuda-nvgraph-dev-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-repo-ubuntu1404’ for glob ‘cuda*’
Note, selecting ‘cuda-repo-ubuntu1410’ for glob ‘cuda*’
Note, selecting ‘cuda-nvml-cross-aarch64-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-cufft-cross-qnx-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-nvgraph-dev-9-0’ for glob ‘cuda*’
Note, selecting ‘cuda-nvgraph-dev-9-1’ for glob ‘cuda*’
Note, selecting ‘cuda-nvgraph-dev-9-2’ for glob ‘cuda*’
Note, selecting ‘cuda-repo-ubuntu1504’ for glob ‘cuda*’
Note, selecting ‘cuda-nvgraph-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-cudart-dev-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-repo-ubuntu1604’ for glob ‘cuda*’
Note, selecting ‘cuda-license-7-5’ for glob ‘cuda*’
Note, selecting ‘cuda-nvgraph-9-0’ for glob ‘cuda*’
Note, selecting ‘cuda-nvgraph-9-1’ for glob ‘cuda*’
Note, selecting ‘cuda-nvgraph-9-2’ for glob ‘cuda*’
Note, selecting ‘cuda-libraries-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-libraries-10-1’ for glob ‘cuda*’
Note, selecting ‘cuda-cudart-dev-9-0’ for glob ‘cuda*’
Note, selecting ‘cuda-cudart-dev-9-1’ for glob ‘cuda*’
Note, selecting ‘cuda-cudart-dev-9-2’ for glob ‘cuda*’
Note, selecting ‘cuda-npp-cross-armhf-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-runtime-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-runtime-10-1’ for glob ‘cuda*’
Note, selecting ‘cuda-license-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-demo-suite-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-cusolver-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-cusolver-10-1’ for glob ‘cuda*’
Note, selecting ‘cuda-drivers-diagnostic’ for glob ‘cuda*’
Note, selecting ‘cuda-license-9-0’ for glob ‘cuda*’
Note, selecting ‘cuda-license-9-1’ for glob ‘cuda*’
Note, selecting ‘cuda-license-9-2’ for glob ‘cuda*’
Note, selecting ‘cuda-demo-suite-9-0’ for glob ‘cuda*’
Note, selecting ‘cuda-demo-suite-9-1’ for glob ‘cuda*’
Note, selecting ‘cuda-demo-suite-9-2’ for glob ‘cuda*’
Note, selecting ‘cuda-cusparse-dev-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-cusparse-cross-aarch64-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-cusparse-dev-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-cusparse-dev-10-1’ for glob ‘cuda*’
Note, selecting ‘cuda-nvrtc-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-nvrtc-10-1’ for glob ‘cuda*’
Note, selecting ‘cuda-cusparse-dev-9-0’ for glob ‘cuda*’
Note, selecting ‘cuda-cusparse-dev-9-1’ for glob ‘cuda*’
Note, selecting ‘cuda-cusparse-dev-9-2’ for glob ‘cuda*’
Note, selecting ‘cuda-nvjpeg-dev-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-nvjpeg-dev-10-1’ for glob ‘cuda*’
Note, selecting ‘cuda-samples-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-cublas-cross-ppc64el-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-cufft-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-cufft-10-1’ for glob ‘cuda*’
Note, selecting ‘cuda-nsight-systems-10-1’ for glob ‘cuda*’
Note, selecting ‘cuda-cusparse-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-cusparse-10-1’ for glob ‘cuda*’
Note, selecting ‘cuda-samples-9-0’ for glob ‘cuda*’
Note, selecting ‘cuda-samples-9-1’ for glob ‘cuda*’
Note, selecting ‘cuda-samples-9-2’ for glob ‘cuda*’
Note, selecting ‘cuda-curand-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-cublas-cross-aarch64-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-npp-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-npp-10-1’ for glob ‘cuda*’
Note, selecting ‘cuda-gdb-src-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-curand-9-0’ for glob ‘cuda*’
Note, selecting ‘cuda-curand-9-1’ for glob ‘cuda*’
Note, selecting ‘cuda-curand-9-2’ for glob ‘cuda*’
Note, selecting ‘cuda-gdb-src-9-0’ for glob ‘cuda*’
Note, selecting ‘cuda-gdb-src-9-1’ for glob ‘cuda*’
Note, selecting ‘cuda-gdb-src-9-2’ for glob ‘cuda*’
Note, selecting ‘cuda-tools-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-tools-10-1’ for glob ‘cuda*’
Note, selecting ‘cuda-nvtx-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-nvtx-10-1’ for glob ‘cuda*’
Note, selecting ‘cuda-cudart-cross-aarch64-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-npp-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-cufft-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-nvrtc-cross-aarch64-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-cudart-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-cudart-10-1’ for glob ‘cuda*’
Note, selecting ‘cuda-license-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-license-10-1’ for glob ‘cuda*’
Note, selecting ‘cuda-nvdisasm-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-nvdisasm-10-1’ for glob ‘cuda*’
Note, selecting ‘cuda-samples-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-samples-10-1’ for glob ‘cuda*’
Note, selecting ‘cuda-core-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-documentation-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-documentation-10-1’ for glob ‘cuda*’
Note, selecting ‘cuda-npp-9-0’ for glob ‘cuda*’
Note, selecting ‘cuda-npp-9-1’ for glob ‘cuda*’
Note, selecting ‘cuda-npp-9-2’ for glob ‘cuda*’
Note, selecting ‘cuda-cusolver-cross-qnx-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-cufft-9-0’ for glob ‘cuda*’
Note, selecting ‘cuda-cufft-9-1’ for glob ‘cuda*’
Note, selecting ‘cuda-cufft-9-2’ for glob ‘cuda*’
Note, selecting ‘cuda-nvdisasm-9-1’ for glob ‘cuda*’
Note, selecting ‘cuda-nvdisasm-9-2’ for glob ‘cuda*’
Note, selecting ‘cuda-cross-qnx’ for glob ‘cuda*’
Note, selecting ‘cuda-cusparse-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-core-9-0’ for glob ‘cuda*’
Note, selecting ‘cuda-core-9-1’ for glob ‘cuda*’
Note, selecting ‘cuda-core-9-2’ for glob ‘cuda*’
Note, selecting ‘cuda-compat-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-compat-10-1’ for glob ‘cuda*’
Note, selecting ‘cuda-minimal-build-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-cusparse-cross-ppc64el-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-cusparse-9-0’ for glob ‘cuda*’
Note, selecting ‘cuda-cusparse-9-1’ for glob ‘cuda*’
Note, selecting ‘cuda-cusparse-9-2’ for glob ‘cuda*’
Note, selecting ‘cuda-cusolver-dev-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-npp-dev-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-minimal-build-9-0’ for glob ‘cuda*’
Note, selecting ‘cuda-minimal-build-9-1’ for glob ‘cuda*’
Note, selecting ‘cuda-minimal-build-9-2’ for glob ‘cuda*’
Note, selecting ‘cuda-npp-cross-ppc64el-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-cusolver-dev-9-0’ for glob ‘cuda*’
Note, selecting ‘cuda-cusolver-dev-9-1’ for glob ‘cuda*’
Note, selecting ‘cuda-cusolver-dev-9-2’ for glob ‘cuda*’
Note, selecting ‘cuda-npp-dev-9-0’ for glob ‘cuda*’
Note, selecting ‘cuda-npp-dev-9-1’ for glob ‘cuda*’
Note, selecting ‘cuda-npp-dev-9-2’ for glob ‘cuda*’
Note, selecting ‘cuda-nvcc-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-nvcc-10-1’ for glob ‘cuda*’
Note, selecting ‘cuda-repo-ubuntu1404-7-5-local’ for glob ‘cuda*’
Note, selecting ‘cuda-nvvp-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-nvvp-10-1’ for glob ‘cuda*’
Note, selecting ‘cuda-cross-qnx-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-nvvp-9-1’ for glob ‘cuda*’
Note, selecting ‘cuda-nvvp-9-2’ for glob ‘cuda*’
Note, selecting ‘cuda-tools-9-1’ for glob ‘cuda*’
Note, selecting ‘cuda-tools-9-2’ for glob ‘cuda*’
Note, selecting ‘cuda-driver-cross-ppc64el-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-curand-cross-armhf-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-toolkit-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-toolkit-10-1’ for glob ‘cuda*’
Note, selecting ‘cuda-npp-cross-aarch64-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-cupti-9-1’ for glob ‘cuda*’
Note, selecting ‘cuda-cupti-9-2’ for glob ‘cuda*’
Note, selecting ‘cuda-cross-armhf-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-nvgraph-dev-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-nvgraph-dev-10-1’ for glob ‘cuda*’
Note, selecting ‘cuda-nvtx-9-1’ for glob ‘cuda*’
Note, selecting ‘cuda-nvtx-9-2’ for glob ‘cuda*’
Note, selecting ‘cuda-cusparse-cross-armhf-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-driver-cross-aarch64-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-cublas-dev-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-cudart-cross-ppc64el-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-cublas-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-nvrtc-cross-ppc64el-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-cudart-dev-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-cudart-dev-10-1’ for glob ‘cuda*’
Note, selecting ‘cuda-cublas-dev-9-0’ for glob ‘cuda*’
Note, selecting ‘cuda-cublas-dev-9-1’ for glob ‘cuda*’
Note, selecting ‘cuda-cublas-dev-9-2’ for glob ‘cuda*’
Note, selecting ‘cuda-cusolver-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-nvml-dev-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-nvml-dev-10-1’ for glob ‘cuda*’
Note, selecting ‘cuda-cublas-9-0’ for glob ‘cuda*’
Note, selecting ‘cuda-cublas-9-1’ for glob ‘cuda*’
Note, selecting ‘cuda-cublas-9-2’ for glob ‘cuda*’
Note, selecting ‘cuda-cudart-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-cusolver-cross-ppc64el-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-cusolver-9-0’ for glob ‘cuda*’
Note, selecting ‘cuda-cusolver-9-1’ for glob ‘cuda*’
Note, selecting ‘cuda-cusolver-9-2’ for glob ‘cuda*’
Note, selecting ‘cuda-cufft-dev-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-cudart-9-0’ for glob ‘cuda*’
Note, selecting ‘cuda-cudart-9-1’ for glob ‘cuda*’
Note, selecting ‘cuda-cudart-9-2’ for glob ‘cuda*’
Note, selecting ‘cuda-gdb-9-1’ for glob ‘cuda*’
Note, selecting ‘cuda-gdb-9-2’ for glob ‘cuda*’
Note, selecting ‘cuda-nvml-dev-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-nvprune-9-1’ for glob ‘cuda*’
Note, selecting ‘cuda-nvprune-9-2’ for glob ‘cuda*’
Note, selecting ‘cuda-cufft-dev-9-0’ for glob ‘cuda*’
Note, selecting ‘cuda-cufft-dev-9-1’ for glob ‘cuda*’
Note, selecting ‘cuda-cufft-dev-9-2’ for glob ‘cuda*’
Note, selecting ‘cuda-cusolver-cross-aarch64-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-gpu-library-advisor-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-gpu-library-advisor-10-1’ for glob ‘cuda*’
Note, selecting ‘cuda-cublas-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-nvml-dev-9-0’ for glob ‘cuda*’
Note, selecting ‘cuda-nvml-dev-9-1’ for glob ‘cuda*’
Note, selecting ‘cuda-nvml-dev-9-2’ for glob ‘cuda*’
Note, selecting ‘cuda-toolkit-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-misc-headers-cross-armhf-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-cufft-cross-ppc64el-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-toolkit-9-0’ for glob ‘cuda*’
Note, selecting ‘cuda-toolkit-9-1’ for glob ‘cuda*’
Note, selecting ‘cuda-toolkit-9-2’ for glob ‘cuda*’
Note, selecting ‘cuda-core-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-core-10-1’ for glob ‘cuda*’
Note, selecting ‘cuda-cusolver-dev-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-cusolver-dev-10-1’ for glob ‘cuda*’
Note, selecting ‘cuda-driver-cross-qnx-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-cufft-cross-aarch64-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-nvrtc-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-repo-ubuntu1604-10-1-local-10.1.168-418.67’ for glob ‘cuda*’
Note, selecting ‘cuda-sanitizer-api-10-1’ for glob ‘cuda*’
Note, selecting ‘cuda-compiler-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-compiler-10-1’ for glob ‘cuda*’
Note, selecting ‘cuda-demo-suite-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-demo-suite-10-1’ for glob ‘cuda*’
Note, selecting ‘cuda-npp-dev-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-npp-dev-10-1’ for glob ‘cuda*’
Note, selecting ‘cuda-misc-headers-cross-aarch64-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-nvrtc-9-0’ for glob ‘cuda*’
Note, selecting ‘cuda-nvrtc-9-1’ for glob ‘cuda*’
Note, selecting ‘cuda-nvrtc-9-2’ for glob ‘cuda*’
Note, selecting ‘cuda-misc-headers-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-misc-headers-9-0’ for glob ‘cuda*’
Note, selecting ‘cuda-misc-headers-9-1’ for glob ‘cuda*’
Note, selecting ‘cuda-misc-headers-9-2’ for glob ‘cuda*’
Note, selecting ‘cuda-compiler-9-1’ for glob ‘cuda*’
Note, selecting ‘cuda-compiler-9-2’ for glob ‘cuda*’
Note, selecting ‘cuda-nsight-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-nsight-10-1’ for glob ‘cuda*’
Note, selecting ‘cuda-curand-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-curand-10-1’ for glob ‘cuda*’
Note, selecting ‘cuda-cublas-cross-armhf-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-command-line-tools-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-command-line-tools-10-1’ for glob ‘cuda*’
Note, selecting ‘cuda-nvgraph-cross-aarch64-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-cufft-dev-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-cufft-dev-10-1’ for glob ‘cuda*’
Note, selecting ‘cuda-nvrtc-dev-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-driver-dev-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-driver-dev-10-1’ for glob ‘cuda*’
Note, selecting ‘cuda-repo-ubuntu1504-7-5-local’ for glob ‘cuda*’
Note, selecting ‘cuda-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-10-1’ for glob ‘cuda*’
Note, selecting ‘cuda-nvrtc-dev-9-0’ for glob ‘cuda*’
Note, selecting ‘cuda-nvrtc-dev-9-1’ for glob ‘cuda*’
Note, selecting ‘cuda-nvrtc-dev-9-2’ for glob ‘cuda*’
Note, selecting ‘cuda-misc-headers-cross-qnx-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-cross-armhf’ for glob ‘cuda*’
Note, selecting ‘cuda-nsight-9-1’ for glob ‘cuda*’
Note, selecting ‘cuda-nsight-9-2’ for glob ‘cuda*’
Note, selecting ‘cuda-documentation-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-cross-ppc64el-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-memcheck-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-memcheck-10-1’ for glob ‘cuda*’
Note, selecting ‘cuda’ for glob ‘cuda*’
Note, selecting ‘cuda-documentation-9-0’ for glob ‘cuda*’
Note, selecting ‘cuda-documentation-9-1’ for glob ‘cuda*’
Note, selecting ‘cuda-documentation-9-2’ for glob ‘cuda*’
Note, selecting ‘cuda-cross-ppc64el’ for glob ‘cuda*’
Note, selecting ‘cuda-cufft-cross-armhf-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-memcheck-9-1’ for glob ‘cuda*’
Note, selecting ‘cuda-memcheck-9-2’ for glob ‘cuda*’
Note, selecting ‘cuda-cross-aarch64-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-misc-headers-cross-ppc64el-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-cudart-cross-qnx-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-nvcc-9-1’ for glob ‘cuda*’
Note, selecting ‘cuda-nvcc-9-2’ for glob ‘cuda*’
Note, selecting ‘cuda-gdb-src-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-gdb-src-10-1’ for glob ‘cuda*’
Note, selecting ‘cuda-libraries-dev-9-0’ for glob ‘cuda*’
Note, selecting ‘cuda-libraries-dev-9-1’ for glob ‘cuda*’
Note, selecting ‘cuda-libraries-dev-9-2’ for glob ‘cuda*’
Note, selecting ‘cuda-misc-headers-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-misc-headers-10-1’ for glob ‘cuda*’
Note, selecting ‘cuda-nvprof-9-1’ for glob ‘cuda*’
Note, selecting ‘cuda-nvprof-9-2’ for glob ‘cuda*’
Note, selecting ‘cuda-cuobjdump-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-cuobjdump-10-1’ for glob ‘cuda*’
Note, selecting ‘cuda-nvgraph-cross-ppc64el-8-0’ for glob ‘cuda*’
Note, selecting ‘cuda-nsight-compute-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-nsight-compute-10-1’ for glob ‘cuda*’
Note, selecting ‘cuda-nvprof-10-0’ for glob ‘cuda*’
Note, selecting ‘cuda-nvprof-10-1’ for glob ‘cuda*’
Package ‘cuda-license-7-5’ is not installed, so not removed
Package ‘cuda-repo-ubuntu1204’ is not installed, so not removed
Package ‘cuda-repo-ubuntu1404’ is not installed, so not removed
Package ‘cuda-repo-ubuntu1404-7-5-local’ is not installed, so not removed
Package ‘cuda-repo-ubuntu1410’ is not installed, so not removed
Package ‘cuda-repo-ubuntu1504’ is not installed, so not removed
Package ‘cuda-repo-ubuntu1504-7-5-local’ is not installed, so not removed
Package ‘cuda-cudart-cross-aarch64-8-0’ is not installed, so not removed
Package ‘cuda-driver-cross-aarch64-8-0’ is not installed, so not removed
Package ‘cuda-misc-headers-cross-aarch64-8-0’ is not installed, so not removed
Package ‘cuda-nvrtc-cross-aarch64-8-0’ is not installed, so not removed
Package ‘cuda-cusolver-cross-aarch64-8-0’ is not installed, so not removed
Package ‘cuda-cublas-cross-aarch64-8-0’ is not installed, so not removed
Package ‘cuda-cufft-cross-aarch64-8-0’ is not installed, so not removed
Package ‘cuda-curand-cross-aarch64-8-0’ is not installed, so not removed
Package ‘cuda-cusparse-cross-aarch64-8-0’ is not installed, so not removed
Package ‘cuda-npp-cross-aarch64-8-0’ is not installed, so not removed
Package ‘cuda-nvml-cross-aarch64-8-0’ is not installed, so not removed
Package ‘cuda-nvgraph-cross-aarch64-8-0’ is not installed, so not removed
Package ‘cuda-cudart-cross-armhf-8-0’ is not installed, so not removed
Package ‘cuda-driver-cross-armhf-8-0’ is not installed, so not removed
Package ‘cuda-misc-headers-cross-armhf-8-0’ is not installed, so not removed
Package ‘cuda-cusolver-cross-armhf-8-0’ is not installed, so not removed
Package ‘cuda-cublas-cross-armhf-8-0’ is not installed, so not removed
Package ‘cuda-cufft-cross-armhf-8-0’ is not installed, so not removed
Package ‘cuda-curand-cross-armhf-8-0’ is not installed, so not removed
Package ‘cuda-cusparse-cross-armhf-8-0’ is not installed, so not removed
Package ‘cuda-npp-cross-armhf-8-0’ is not installed, so not removed
Package ‘cuda-cudart-cross-ppc64el-8-0’ is not installed, so not removed
Package ‘cuda-driver-cross-ppc64el-8-0’ is not installed, so not removed
Package ‘cuda-misc-headers-cross-ppc64el-8-0’ is not installed, so not removed
Package ‘cuda-nvrtc-cross-ppc64el-8-0’ is not installed, so not removed
Package ‘cuda-cusolver-cross-ppc64el-8-0’ is not installed, so not removed
Package ‘cuda-cublas-cross-ppc64el-8-0’ is not installed, so not removed
Package ‘cuda-cufft-cross-ppc64el-8-0’ is not installed, so not removed
Package ‘cuda-curand-cross-ppc64el-8-0’ is not installed, so not removed
Package ‘cuda-cusparse-cross-ppc64el-8-0’ is not installed, so not removed
Package ‘cuda-npp-cross-ppc64el-8-0’ is not installed, so not removed
Package ‘cuda-nvml-cross-ppc64el-8-0’ is not installed, so not removed
Package ‘cuda-nvgraph-cross-ppc64el-8-0’ is not installed, so not removed
Package ‘cuda-cudart-cross-qnx-10-0’ is not installed, so not removed
Package ‘cuda-driver-cross-qnx-10-0’ is not installed, so not removed
Package ‘cuda-misc-headers-cross-qnx-10-0’ is not installed, so not removed
Package ‘cuda-cusolver-cross-qnx-10-0’ is not installed, so not removed
Package ‘cuda-cublas-cross-qnx-10-0’ is not installed, so not removed
Package ‘cuda-cufft-cross-qnx-10-0’ is not installed, so not removed
Package ‘cuda-curand-cross-qnx-10-0’ is not installed, so not removed
Package ‘cuda-cusparse-cross-qnx-10-0’ is not installed, so not removed
Package ‘cuda-npp-cross-qnx-10-0’ is not installed, so not removed
Package ‘cuda-core-10-1’ is not installed, so not removed
Package ‘cuda-minimal-build-10-1’ is not installed, so not removed
Package ‘libcublas-dev’ is not installed, so not removed
Package ‘cuda-compat-10-1’ is not installed, so not removed
Package ‘cuda-gdb-src-10-1’ is not installed, so not removed
Package ‘cuda-10-0’ is not installed, so not removed
Package ‘cuda-8-0’ is not installed, so not removed
Package ‘cuda-9-0’ is not installed, so not removed
Package ‘cuda-9-1’ is not installed, so not removed
Package ‘cuda-9-2’ is not installed, so not removed
Package ‘cuda-command-line-tools-10-0’ is not installed, so not removed
Package ‘cuda-command-line-tools-8-0’ is not installed, so not removed
Package ‘cuda-command-line-tools-9-0’ is not installed, so not removed
Package ‘cuda-command-line-tools-9-1’ is not installed, so not removed
Package ‘cuda-command-line-tools-9-2’ is not installed, so not removed
Package ‘cuda-compat-10-0’ is not installed, so not removed
Package ‘cuda-compiler-10-0’ is not installed, so not removed
Package ‘cuda-compiler-9-1’ is not installed, so not removed
Package ‘cuda-compiler-9-2’ is not installed, so not removed
Package ‘cuda-core-10-0’ is not installed, so not removed
Package ‘cuda-core-8-0’ is not installed, so not removed
Package ‘cuda-core-9-0’ is not installed, so not removed
Package ‘cuda-core-9-1’ is not installed, so not removed
Package ‘cuda-core-9-2’ is not installed, so not removed
Package ‘cuda-cross-aarch64-8-0’ is not installed, so not removed
Package ‘cuda-cross-aarch64’ is not installed, so not removed
Package ‘cuda-cross-armhf-8-0’ is not installed, so not removed
Package ‘cuda-cross-armhf’ is not installed, so not removed
Package ‘cuda-cross-ppc64el-8-0’ is not installed, so not removed
Package ‘cuda-cross-ppc64el’ is not installed, so not removed
Package ‘cuda-cross-qnx-10-0’ is not installed, so not removed
Package ‘cuda-cross-qnx’ is not installed, so not removed
Package ‘cuda-cublas-10-0’ is not installed, so not removed
Package ‘cuda-cublas-8-0’ is not installed, so not removed
Package ‘cuda-cublas-9-0’ is not installed, so not removed
Package ‘cuda-cublas-9-1’ is not installed, so not removed
Package ‘cuda-cublas-9-2’ is not installed, so not removed
Package ‘cuda-cublas-dev-10-0’ is not installed, so not removed
Package ‘cuda-cublas-dev-8-0’ is not installed, so not removed
Package ‘cuda-cublas-dev-9-0’ is not installed, so not removed
Package ‘cuda-cublas-dev-9-1’ is not installed, so not removed
Package ‘cuda-cublas-dev-9-2’ is not installed, so not removed
Package ‘cuda-cudart-10-0’ is not installed, so not removed
Package ‘cuda-cudart-8-0’ is not installed, so not removed
Package ‘cuda-cudart-9-0’ is not installed, so not removed
Package ‘cuda-cudart-9-1’ is not installed, so not removed
Package ‘cuda-cudart-9-2’ is not installed, so not removed
Package ‘cuda-cudart-dev-10-0’ is not installed, so not removed
Package ‘cuda-cudart-dev-8-0’ is not installed, so not removed
Package ‘cuda-cudart-dev-9-0’ is not installed, so not removed
Package ‘cuda-cudart-dev-9-1’ is not installed, so not removed
Package ‘cuda-cudart-dev-9-2’ is not installed, so not removed
Package ‘cuda-cufft-10-0’ is not installed, so not removed
Package ‘cuda-cufft-8-0’ is not installed, so not removed
Package ‘cuda-cufft-9-0’ is not installed, so not removed
Package ‘cuda-cufft-9-1’ is not installed, so not removed
Package ‘cuda-cufft-9-2’ is not installed, so not removed
Package ‘cuda-cufft-dev-10-0’ is not installed, so not removed
Package ‘cuda-cufft-dev-8-0’ is not installed, so not removed
Package ‘cuda-cufft-dev-9-0’ is not installed, so not removed
Package ‘cuda-cufft-dev-9-1’ is not installed, so not removed
Package ‘cuda-cufft-dev-9-2’ is not installed, so not removed
Package ‘cuda-cuobjdump-10-0’ is not installed, so not removed
Package ‘cuda-cuobjdump-9-1’ is not installed, so not removed
Package ‘cuda-cuobjdump-9-2’ is not installed, so not removed
Package ‘cuda-cupti-10-0’ is not installed, so not removed
Package ‘cuda-cupti-9-1’ is not installed, so not removed
Package ‘cuda-cupti-9-2’ is not installed, so not removed
Package ‘cuda-curand-10-0’ is not installed, so not removed
Package ‘cuda-curand-8-0’ is not installed, so not removed
Package ‘cuda-curand-9-0’ is not installed, so not removed
Package ‘cuda-curand-9-1’ is not installed, so not removed
Package ‘cuda-curand-9-2’ is not installed, so not removed
Package ‘cuda-curand-dev-10-0’ is not installed, so not removed
Package ‘cuda-curand-dev-8-0’ is not installed, so not removed
Package ‘cuda-curand-dev-9-0’ is not installed, so not removed
Package ‘cuda-curand-dev-9-1’ is not installed, so not removed
Package ‘cuda-curand-dev-9-2’ is not installed, so not removed
Package ‘cuda-cusolver-10-0’ is not installed, so not removed
Package ‘cuda-cusolver-8-0’ is not installed, so not removed
Package ‘cuda-cusolver-9-0’ is not installed, so not removed
Package ‘cuda-cusolver-9-1’ is not installed, so not removed
Package ‘cuda-cusolver-9-2’ is not installed, so not removed
Package ‘cuda-cusolver-dev-10-0’ is not installed, so not removed
Package ‘cuda-cusolver-dev-8-0’ is not installed, so not removed
Package ‘cuda-cusolver-dev-9-0’ is not installed, so not removed
Package ‘cuda-cusolver-dev-9-1’ is not installed, so not removed
Package ‘cuda-cusolver-dev-9-2’ is not installed, so not removed
Package ‘cuda-cusparse-10-0’ is not installed, so not removed
Package ‘cuda-cusparse-8-0’ is not installed, so not removed
Package ‘cuda-cusparse-9-0’ is not installed, so not removed
Package ‘cuda-cusparse-9-1’ is not installed, so not removed
Package ‘cuda-cusparse-9-2’ is not installed, so not removed
Package ‘cuda-cusparse-dev-10-0’ is not installed, so not removed
Package ‘cuda-cusparse-dev-8-0’ is not installed, so not removed
Package ‘cuda-cusparse-dev-9-0’ is not installed, so not removed
Package ‘cuda-cusparse-dev-9-1’ is not installed, so not removed
Package ‘cuda-cusparse-dev-9-2’ is not installed, so not removed
Package ‘cuda-demo-suite-10-0’ is not installed, so not removed
Package ‘cuda-demo-suite-8-0’ is not installed, so not removed
Package ‘cuda-demo-suite-9-0’ is not installed, so not removed
Package ‘cuda-demo-suite-9-1’ is not installed, so not removed
Package ‘cuda-demo-suite-9-2’ is not installed, so not removed
Package ‘cuda-documentation-10-0’ is not installed, so not removed
Package ‘cuda-documentation-8-0’ is not installed, so not removed
Package ‘cuda-documentation-9-0’ is not installed, so not removed
Package ‘cuda-documentation-9-1’ is not installed, so not removed
Package ‘cuda-documentation-9-2’ is not installed, so not removed
Package ‘cuda-driver-dev-10-0’ is not installed, so not removed
Package ‘cuda-driver-dev-8-0’ is not installed, so not removed
Package ‘cuda-driver-dev-9-0’ is not installed, so not removed
Package ‘cuda-driver-dev-9-1’ is not installed, so not removed
Package ‘cuda-driver-dev-9-2’ is not installed, so not removed
Package ‘cuda-drivers-diagnostic’ is not installed, so not removed
Package ‘cuda-gdb-10-0’ is not installed, so not removed
Package ‘cuda-gdb-9-1’ is not installed, so not removed
Package ‘cuda-gdb-9-2’ is not installed, so not removed
Package ‘cuda-gdb-src-10-0’ is not installed, so not removed
Package ‘cuda-gdb-src-8-0’ is not installed, so not removed
Package ‘cuda-gdb-src-9-0’ is not installed, so not removed
Package ‘cuda-gdb-src-9-1’ is not installed, so not removed
Package ‘cuda-gdb-src-9-2’ is not installed, so not removed
Package ‘cuda-gpu-library-advisor-10-0’ is not installed, so not removed
Package ‘cuda-gpu-library-advisor-9-1’ is not installed, so not removed
Package ‘cuda-gpu-library-advisor-9-2’ is not installed, so not removed
Package ‘cuda-libraries-10-0’ is not installed, so not removed
Package ‘cuda-libraries-9-0’ is not installed, so not removed
Package ‘cuda-libraries-9-1’ is not installed, so not removed
Package ‘cuda-libraries-9-2’ is not installed, so not removed
Package ‘cuda-libraries-dev-10-0’ is not installed, so not removed
Package ‘cuda-libraries-dev-9-0’ is not installed, so not removed
Package ‘cuda-libraries-dev-9-1’ is not installed, so not removed
Package ‘cuda-libraries-dev-9-2’ is not installed, so not removed
Package ‘cuda-license-10-0’ is not installed, so not removed
Package ‘cuda-license-8-0’ is not installed, so not removed
Package ‘cuda-license-9-0’ is not installed, so not removed
Package ‘cuda-license-9-1’ is not installed, so not removed
Package ‘cuda-license-9-2’ is not installed, so not removed
Package ‘cuda-memcheck-10-0’ is not installed, so not removed
Package ‘cuda-memcheck-9-1’ is not installed, so not removed
Package ‘cuda-memcheck-9-2’ is not installed, so not removed
Package ‘cuda-minimal-build-10-0’ is not installed, so not removed
Package ‘cuda-minimal-build-8-0’ is not installed, so not removed
Package ‘cuda-minimal-build-9-0’ is not installed, so not removed
Package ‘cuda-minimal-build-9-1’ is not installed, so not removed
Package ‘cuda-minimal-build-9-2’ is not installed, so not removed
Package ‘cuda-misc-headers-10-0’ is not installed, so not removed
Package ‘cuda-misc-headers-8-0’ is not installed, so not removed
Package ‘cuda-misc-headers-9-0’ is not installed, so not removed
Package ‘cuda-misc-headers-9-1’ is not installed, so not removed
Package ‘cuda-misc-headers-9-2’ is not installed, so not removed
Package ‘cuda-npp-10-0’ is not installed, so not removed
Package ‘cuda-npp-8-0’ is not installed, so not removed
Package ‘cuda-npp-9-0’ is not installed, so not removed
Package ‘cuda-npp-9-1’ is not installed, so not removed
Package ‘cuda-npp-9-2’ is not installed, so not removed
Package ‘cuda-npp-dev-10-0’ is not installed, so not removed
Package ‘cuda-npp-dev-8-0’ is not installed, so not removed
Package ‘cuda-npp-dev-9-0’ is not installed, so not removed
Package ‘cuda-npp-dev-9-1’ is not installed, so not removed
Package ‘cuda-npp-dev-9-2’ is not installed, so not removed
Package ‘cuda-nsight-10-0’ is not installed, so not removed
Package ‘cuda-nsight-9-1’ is not installed, so not removed
Package ‘cuda-nsight-9-2’ is not installed, so not removed
Package ‘cuda-nsight-compute–10-0’ is not installed, so not removed
Package ‘cuda-nsight-compute-10-0’ is not installed, so not removed
Package ‘cuda-nvcc-10-0’ is not installed, so not removed
Package ‘cuda-nvcc-9-1’ is not installed, so not removed
Package ‘cuda-nvcc-9-2’ is not installed, so not removed
Package ‘cuda-nvdisasm-10-0’ is not installed, so not removed
Package ‘cuda-nvdisasm-9-1’ is not installed, so not removed
Package ‘cuda-nvdisasm-9-2’ is not installed, so not removed
Package ‘cuda-nvgraph-10-0’ is not installed, so not removed
Package ‘cuda-nvgraph-8-0’ is not installed, so not removed
Package ‘cuda-nvgraph-9-0’ is not installed, so not removed
Package ‘cuda-nvgraph-9-1’ is not installed, so not removed
Package ‘cuda-nvgraph-9-2’ is not installed, so not removed
Package ‘cuda-nvgraph-dev-10-0’ is not installed, so not removed
Package ‘cuda-nvgraph-dev-8-0’ is not installed, so not removed
Package ‘cuda-nvgraph-dev-9-0’ is not installed, so not removed
Package ‘cuda-nvgraph-dev-9-1’ is not installed, so not removed
Package ‘cuda-nvgraph-dev-9-2’ is not installed, so not removed
Package ‘cuda-nvml-dev-10-0’ is not installed, so not removed
Package ‘cuda-nvml-dev-8-0’ is not installed, so not removed
Package ‘cuda-nvml-dev-9-0’ is not installed, so not removed
Package ‘cuda-nvml-dev-9-1’ is not installed, so not removed
Package ‘cuda-nvml-dev-9-2’ is not installed, so not removed
Package ‘cuda-nvprof-10-0’ is not installed, so not removed
Package ‘cuda-nvprof-9-1’ is not installed, so not removed
Package ‘cuda-nvprof-9-2’ is not installed, so not removed
Package ‘cuda-nvprune-10-0’ is not installed, so not removed
Package ‘cuda-nvprune-9-1’ is not installed, so not removed
Package ‘cuda-nvprune-9-2’ is not installed, so not removed
Package ‘cuda-nvrtc-10-0’ is not installed, so not removed
Package ‘cuda-nvrtc-8-0’ is not installed, so not removed
Package ‘cuda-nvrtc-9-0’ is not installed, so not removed
Package ‘cuda-nvrtc-9-1’ is not installed, so not removed
Package ‘cuda-nvrtc-9-2’ is not installed, so not removed
Package ‘cuda-nvrtc-dev-10-0’ is not installed, so not removed
Package ‘cuda-nvrtc-dev-8-0’ is not installed, so not removed
Package ‘cuda-nvrtc-dev-9-0’ is not installed, so not removed
Package ‘cuda-nvrtc-dev-9-1’ is not installed, so not removed
Package ‘cuda-nvrtc-dev-9-2’ is not installed, so not removed
Package ‘cuda-nvtx-10-0’ is not installed, so not removed
Package ‘cuda-nvtx-9-1’ is not installed, so not removed
Package ‘cuda-nvtx-9-2’ is not installed, so not removed
Package ‘cuda-nvvp-10-0’ is not installed, so not removed
Package ‘cuda-nvvp-9-1’ is not installed, so not removed
Package ‘cuda-nvvp-9-2’ is not installed, so not removed
Package ‘cuda-runtime-10-0’ is not installed, so not removed
Package ‘cuda-runtime-8-0’ is not installed, so not removed
Package ‘cuda-runtime-9-0’ is not installed, so not removed
Package ‘cuda-runtime-9-1’ is not installed, so not removed
Package ‘cuda-runtime-9-2’ is not installed, so not removed
Package ‘cuda-samples-10-0’ is not installed, so not removed
Package ‘cuda-samples-8-0’ is not installed, so not removed
Package ‘cuda-samples-9-0’ is not installed, so not removed
Package ‘cuda-samples-9-1’ is not installed, so not removed
Package ‘cuda-samples-9-2’ is not installed, so not removed
Package ‘cuda-toolkit-10-0’ is not installed, so not removed
Package ‘cuda-toolkit-8-0’ is not installed, so not removed
Package ‘cuda-toolkit-9-0’ is not installed, so not removed
Package ‘cuda-toolkit-9-1’ is not installed, so not removed
Package ‘cuda-toolkit-9-2’ is not installed, so not removed
Package ‘cuda-tools-10-0’ is not installed, so not removed
Package ‘cuda-tools-9-1’ is not installed, so not removed
Package ‘cuda-tools-9-2’ is not installed, so not removed
Package ‘cuda-visual-tools-10-0’ is not installed, so not removed
Package ‘cuda-visual-tools-8-0’ is not installed, so not removed
Package ‘cuda-visual-tools-9-0’ is not installed, so not removed
Package ‘cuda-visual-tools-9-1’ is not installed, so not removed
Package ‘cuda-visual-tools-9-2’ is not installed, so not removed
Package ‘cuda-nvjpeg-10-0’ is not installed, so not removed
Package ‘cuda-nvjpeg-dev-10-0’ is not installed, so not removed
You might want to run ‘apt-get -f install’ to correct these:
The following packages have unmet dependencies:
libnvblas7.5 : Depends: libcublas7.5 (>= 6.5) but it is not going to be installed
nvidia-cuda-dev : Depends: libcublas7.5 (= 7.5.18-0ubuntu1) but it is not going to be installed
Recommends: libnvcuvid1 but it is not installable
E: Unmet dependencies. Try ‘apt-get -f install’ with no packages (or specify a solution).

When I ran

sudo add-apt-repository ppa:graphics-drivers/ppa

in the terminal no output was produced and it just kept running:

tdh2124@hemresysld1:~/Desktop$ sudo add-apt-repository ppa:graphics-drivers/ppa

EDIT:

after running for about 15 min I received the following output:

sudo add-apt-repository ppa:graphics-drivers/ppa
Cannot add PPA: ‘ppa:~graphics-drivers/ubuntu/ppa’.
ERROR: ‘~graphics-drivers’ user or team does not exist.

Networking problems? Proxy? https://askubuntu.com/questions/620317/apt-get-update-stuck-connecting-to-security-ubuntu-com#787491

I just tried the suggestion in the link you posted and will let you know the result. I am working behind a proxy on my current machine, do you think that could be causing this problem?

Yes. See this for proxy config:
https://askubuntu.com/questions/257290/configure-proxy-for-apt

When I ran

sudo nano /etc/apt/apt.conf

I saw that I already had the correct proxy servers written in the file:

Acquire::http::Proxy “http://bcp3.cumc.columbia.edu:8080”;
Acquire::https:Proxy “https://bcp3.cumc.columbia.edu:8080”;

so I’m not sure if this is the problem. Should I try continuing with he other instructions you mentioned or do you think adding the ppa is really important?

You can also continue using the bundled driver, installing cuda instead of cuda-toolkit. This has two downsides:

  • the bundled driver doesn’t update, eventually breaking on kernel changes.
  • it doesn’t contain 32bit OpenGL compat libs, i.e. 32bit graphics applications won’t work.

What commands would I use to use the bundled driver?

sudo apt install cuda
this installs nvidia-driver + cuda-toolkit.

When I ran sudo apt install cuda I recieved the following:

tdh2124@hemresysld1:~$ sudo apt install cuda
[sudo] password for tdh2124:
Sorry, try again.
[sudo] password for tdh2124:
Reading package lists… Done
Building dependency tree
Reading state information… Done
cuda is already the newest version (10.1.168-1).
You might want to run ‘apt-get -f install’ to correct these:
The following packages have unmet dependencies:
cuda-libraries-dev-10-1 : Depends: libcublas-dev (>= 10.2.0.168) but it is not going to be installed
cuda-samples-10-1 : Depends: libcublas-dev (>= 10.2.0.168) but it is not going to be installed
cuda-visual-tools-10-1 : Depends: libcublas-dev (>= 10.2.0.168) but it is not going to be installed
E: Unmet dependencies. Try ‘apt-get -f install’ with no packages (or specify a solution).

Is there a way that I should correct these unmet dependencies?

what does
sudo apt install libcublas-dev
output?

I had the same issue. Can you please advise? Thanks.

sudo apt install libcublas-dev
[sudo] password for whaler:
Reading package lists… Done
Building dependency tree
Reading state information… Done
The following packages were automatically installed and are no longer required:
cuda-command-line-tools-10-1 cuda-compiler-10-1 cuda-cudart-10-1
cuda-cudart-dev-10-1 cuda-cufft-10-1 cuda-cufft-dev-10-1 cuda-cuobjdump-10-1
cuda-cupti-10-1 cuda-curand-10-1 cuda-curand-dev-10-1 cuda-cusolver-10-1
cuda-cusolver-dev-10-1 cuda-cusparse-10-1 cuda-cusparse-dev-10-1
cuda-documentation-10-1 cuda-driver-dev-10-1 cuda-gdb-10-1
cuda-gpu-library-advisor-10-1 cuda-libraries-10-1 cuda-libraries-dev-10-1
cuda-memcheck-10-1 cuda-misc-headers-10-1 cuda-npp-10-1 cuda-npp-dev-10-1
cuda-nsight-10-1 cuda-nsight-compute-10-1 cuda-nsight-systems-10-1
cuda-nvcc-10-1 cuda-nvdisasm-10-1 cuda-nvgraph-10-1 cuda-nvgraph-dev-10-1
cuda-nvjpeg-10-1 cuda-nvjpeg-dev-10-1 cuda-nvml-dev-10-1 cuda-nvprof-10-1
cuda-nvprune-10-1 cuda-nvrtc-10-1 cuda-nvrtc-dev-10-1 cuda-nvtx-10-1
cuda-nvvp-10-1 cuda-samples-10-1 cuda-sanitizer-api-10-1 cuda-toolkit-10-1
cuda-tools-10-1 cuda-visual-tools-10-1
Use ‘sudo apt autoremove’ to remove them.
The following NEW packages will be installed:
libcublas-dev
0 upgraded, 1 newly installed, 0 to remove and 9 not upgraded.
6 not fully installed or removed.
Need to get 0 B/39.1 MB of archives.
After this operation, 112 MB of additional disk space will be used.
Get:1 file:/var/cuda-repo-10-1-local-10.1.168-418.67 libcublas-dev 10.2.0.168-1 [39.1 MB]
(Reading database … 265349 files and directories currently installed.)
Preparing to unpack …/libcublas-dev_10.2.0.168-1_amd64.deb …
Unpacking libcublas-dev (10.2.0.168-1) …
dpkg: error processing archive /var/cuda-repo-10-1-local-10.1.168-418.67/./libcublas-dev_10.2.0.168-1_amd64.deb (–unpack):
trying to overwrite ‘/usr/lib/x86_64-linux-gnu/libcublas_static.a’, which is also in package nvidia-cuda-dev 7.5.18-0ubuntu1
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Errors were encountered while processing:
/var/cuda-repo-10-1-local-10.1.168-418.67/./libcublas-dev_10.2.0.168-1_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Please remove cuda-7.5:
sudo apt remove nvidia-cuda*

Thanks. But it didn’t work.

sudo apt remove nvidia-cuda*
[sudo] password for whaler:
Reading package lists… Done
Building dependency tree
Reading state information… Done
Note, selecting ‘nvidia-cuda-toolkit’ for glob ‘nvidia-cuda*’
Note, selecting ‘nvidia-cuda-dev’ for glob ‘nvidia-cuda*’
Note, selecting ‘nvidia-cuda-doc’ for glob ‘nvidia-cuda*’
Note, selecting ‘nvidia-cuda-gdb’ for glob ‘nvidia-cuda*’
You might want to run ‘apt-get -f install’ to correct these:
The following packages have unmet dependencies:
cuda-libraries-dev-10-1 : Depends: libcublas-dev (>= 10.2.0.168) but it is not going to be installed
cuda-samples-10-1 : Depends: libcublas-dev (>= 10.2.0.168) but it is not going to be installed
cuda-visual-tools-10-1 : Depends: libcublas-dev (>= 10.2.0.168) but it is not going to be installed
E: Unmet dependencies. Try ‘apt-get -f install’ with no packages (or specify a solution).